SCRIPT_NAME = "insert_parts.lua"
os.setlocale("C")

local MetaList = pandoc.MetaList
local RawBlock = pandoc.RawBlock

return {
  { Meta = function (meta)
    if not meta["parts"] then return end
    if type(meta["parts"]) == "string" then
      meta["parts"] = MetaList({ meta["parts"] })
    end
    meta["parts"] = meta["parts"]:map(function (item) 
      local f = assert(io.open(item), "\n" ..
        "[ERROR] could not open " .. item .. " for reading.")
      local raw_block = RawBlock("html5", f:read("a"))
      f:close()
      return raw_block
    end)
    return meta
  end }
}
